import request from "@/api/request.js";

// 基本信息
/**
 * @param {id} 
 */
export function getDecreeBasicInfo(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/basicInfo/${params.id}`,
        params
    })
}

// 主要指令
/**
 * @param {currentPage, id, pageSize} 
 */
export function getDecreeMainContent(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/mainContent/${params.id}`,
        params
    })
}

// 执行机构
/**
 * @param {id} 
 */
export function getDecreeOrganization(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/organization/${params.id}`,
        params
    })
}

// 发布机构
/**
 * @param {id} 
 */
export function getDecreeIssueOrganization(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/issueOrganization/${params.id}`,
        params
    })
}

// 获取全局信息
/**
 * @param {id} 
 */
export function getDecreeSummary(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/summary/${params.id}`,
        params
    })
}

// 获取报告原文
/**
 * @param {id} 
 */
export function getDecreeReport(params) {
    return request({
        method: 'GET',
        url: `/api/administrativeOrderInfo/contentUrl/${params.id}`,
    })
}